org.apache.ignite.internal.binary

## Enum BinarySchema.Confirmation

- java.lang.Object
- - java.lang.Enum<BinarySchema.Confirmation>
  - - org.apache.ignite.internal.binary.BinarySchema.Confirmation

All Implemented Interfaces:
  Serializable, Comparable<BinarySchema.Confirmation>

Enclosing class:
  BinarySchema

    public static enum BinarySchema.Confirmation
    extends Enum<BinarySchema.Confirmation>

Order confirmation result.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLARIFY` Field name clarification is needed.
`CONFIRMED` Confirmed.
`REJECTED` Denied.

### Method Summary

Methods
`static BinarySchema.Confirmation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BinarySchema.Confirmation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONFIRMED

    public static final BinarySchema.Confirmation CONFIRMED

Confirmed.

#### REJECTED

    public static final BinarySchema.Confirmation REJECTED

Denied.

#### CLARIFY

    public static final BinarySchema.Confirmation CLARIFY

Field name clarification is needed.

### Method Detail

#### values

    public static BinarySchema.Confirmation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BinarySchema.Confirmation c : BinarySchema.Confirmation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BinarySchema.Confirmation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017